Subject: Re: [PATCH] ci: update to jgit 7

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 13 Nov 2024 08:06:21 +0100

On Wed, Nov 13, 2024 at 11:58:17AM +0900, Junio C Hamano wrote:
> The version of jgit we use for CI has been 6.8.0 for the last few
> releases; try to update it to newer jgit 7.0.0, which is advertised
> at https://www.eclipse.org/jgit/download/ page.
> 
> Note that this new URL seems to fail to download (together with the
> URL for the older 6.8.0, which is causing CI failures) right now.

Seems like all of the downloads result in a 403 now. I was digging a bit
through the mailing list archives (jgit-dev, eclipse-mirrors) and
couldn't find any hint as to what is going on there.

Other downloads, like Eclipse for example, work alright. I was trying to
piggy back on how the URL looks like there, but without any success. I
also couldn't find any mirrors that have the fil. So either we just wait
a bit and hope that Eclipse will fix this, or disable the download of
JGit for now to unbreak CI.

Patrick